# draugr.opencv_utilities.namespaces.enums.DistanceTransformLabelTypeEnum

class draugr.opencv_utilities.namespaces.enums.DistanceTransformLabelTypeEnum(value)

  Bases: `Enum`

  distanceTransform algorithm flags

  __init__()

  Attributes

  `ccomp` | each connected component of zeros in src (as well as all the non-zero pixels closest to the connected component) will be assigned the same label
  `pixel` | each zero pixel (and all the non-zero pixels closest to it) gets its own label.

  ccomp = 0

    each connected component of zeros in src (as well as all the non-zero pixels closest to the connected component) will be assigned the same label

  pixel = 1

    each zero pixel (and all the non-zero pixels closest to it) gets its own label.